<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddIvrUserLocaleReq StructType
 * @subpackage Structs
 */
class AddIvrUserLocaleReq extends APIRequest
{
    /**
     * The ivrUserLocale
     * @var XIvrUserLocale
     */
    public $ivrUserLocale;
    /**
     * Constructor method for AddIvrUserLocaleReq
     * @uses AddIvrUserLocaleReq::setIvrUserLocale()
     * @param XIvrUserLocale $ivrUserLocale
     */
    public function __construct(XIvrUserLocale $ivrUserLocale = null)
    {
        $this
            ->setIvrUserLocale($ivrUserLocale);
    }
    /**
     * Get ivrUserLocale value
     * @return XIvrUserLocale|null
     */
    public function getIvrUserLocale()
    {
        return $this->ivrUserLocale;
    }
    /**
     * Set ivrUserLocale value
     * @param XIvrUserLocale $ivrUserLocale
     * @return AddIvrUserLocaleReq
     */
    public function setIvrUserLocale(XIvrUserLocale $ivrUserLocale = null)
    {
        $this->ivrUserLocale = $ivrUserLocale;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddIvrUserLocaleReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
